var connectedVideoSources;

function getAvailableWindows(){
    function onSuccessCB(availableWindows){
        console.log("Success");
        log("Success");
        console.log(availableWindows);
        log(availableWindows);
    }

    try {
        tizen.tvwindow.getAvailableWindows(onSuccessCB);
    }catch(error){
        console.log("Error name = " + error.name + ", Error message: " + error.message);
        log("Error name = " + error.name + ", Error message: " + error.message);
    }
}

function systemInfoSuccessCB(videoSource){
    function onSuccessCB(source, type){
        console.log("Source name = " + source.name + ", source port number = " + source.number);
        log("Source name = " + source.name + ", source port number = " + source.number);
    }

    function onErrorCB(error){
        console.log("Error name = " + error.name + ", Error message = " + error.message);
        log("Error name = " + error.name + ", Error message = " + error.message);
    }

    connectedVideoSources = videoSource.connected;
    for(var i = 0; i < connectedVideoSources.length; i++){
        console.log("------------------- Source "+ i +" ----------------");
        console.log("type = " + connectedVideoSources[i].type);
        log("type = " + connectedVideoSources[i].type);
        console.log("number = " + connectedVideoSources[i].number);
        log("number = " + connectedVideoSources[i].number);
        if(connectedVideoSources[i].type === "TV") {
            tizen.tvwindow.setSource(connectedVideoSources[i], onSuccessCB, onErrorCB);
            break;
        }
    }
}

function systemInfoErrorCB(error) {
    console.log("Error name = " + error.name);
}

function log(text){
    document.getElementById("text").innerHTML = text;
}

function init(){
    if(window.tizen === undefined){
        console.log("Please load app on a tizen device.");
    }
    else {
        //Calling tvwindow apis
        try {
            tizen.systeminfo.getPropertyValue("VIDEOSOURCE", systemInfoSuccessCB, systemInfoErrorCB);
        }catch(error){
            console.log("Error name = " + error.name + ", Error message = " + error.message);
        }


        function successCB(windowRect, type) {
            // You will get exactly what you put as rectangle argument of show() through windowRect.
            // expected result : ["0", "0px", "50%", "540px"]
            console.log("Rectangle : [" + windowRect[0] + ", " + windowRect[1] + ", " + windowRect[2] + ", " + windowRect[3] + "]");
        }
      
        try {
            tizen.tvwindow.show(successCB, 
function(err)
{
            	console.log("error: " + JSON.stringify(err))
}
            		, ["100px", "100px", "50%", "540px"], "MAIN");
        } catch(error) {
            console.log("error: " + error.name);
        } 
    }
}